Agent observability overview
Totals, a zero-filled series, live counts and top tools, agents and models over the workspace’s agent conversations: managed agent sessions and external agent threads (requests sent with X-Veri-Thread-Id).
curl --request GET \
--url https://api.veri.studio/v1/observability/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/observability/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/observability/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"interval": "auto",
"active": {
"agents": 123,
"conversations": 123,
"window_minutes": 123
},
"totals": {
"conversations": 123,
"turns": 123,
"llm_calls": 123,
"tool_calls": 123,
"tool_errors": 123,
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"errors": 123,
"error_rate": 123,
"agents": 123,
"flagged": 123
},
"series": [
{
"t": "2023-11-07T05:31:56Z",
"conversations": 123,
"llm_calls": 123,
"tool_calls": 123,
"errors": 123,
"prompt_tokens": 123,
"completion_tokens": 123,
"flagged": 123
}
],
"top_tools": [
{
"name": "<string>",
"calls": 123,
"errors": 123
}
],
"top_agents": [
{
"key": "<string>",
"name": "<string>",
"kind": "<string>",
"conversations": 123
}
],
"top_models": [
{
"name": "<string>",
"llm_calls": 123
}
]
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Query Parameters
Window start (RFC 3339). Default: to minus 24 hours.
Window end (RFC 3339). Default: now. At most 30 days after from.
Only this agent (its key).
Only this deployment's threads and the sessions whose environment version serves from it.
Response
Always "observability.overview".
Series bucket width, chosen from the window: five_minutes up to 6 hours, hour up to 7 days, day beyond.
auto, minute, five_minutes, hour, day Conversations live now, independent of the window.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Top 6 each.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
curl --request GET \
--url https://api.veri.studio/v1/observability/overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/observability/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/observability/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"interval": "auto",
"active": {
"agents": 123,
"conversations": 123,
"window_minutes": 123
},
"totals": {
"conversations": 123,
"turns": 123,
"llm_calls": 123,
"tool_calls": 123,
"tool_errors": 123,
"prompt_tokens": 123,
"cached_prompt_tokens": 123,
"completion_tokens": 123,
"errors": 123,
"error_rate": 123,
"agents": 123,
"flagged": 123
},
"series": [
{
"t": "2023-11-07T05:31:56Z",
"conversations": 123,
"llm_calls": 123,
"tool_calls": 123,
"errors": 123,
"prompt_tokens": 123,
"completion_tokens": 123,
"flagged": 123
}
],
"top_tools": [
{
"name": "<string>",
"calls": 123,
"errors": 123
}
],
"top_agents": [
{
"key": "<string>",
"name": "<string>",
"kind": "<string>",
"conversations": 123
}
],
"top_models": [
{
"name": "<string>",
"llm_calls": 123
}
]
}
